## libxmp 4.2.0+dfsg

=== docs/Makefile ===

DOCS_DFILES	= Makefile COPYING.LIB CREDITS Changelog tracker_notes.txt \
		  formats.txt adlib_sb.txt ay-3-8912.txt fixloop.txt \
		  libxmp.rst custom.style $(DOCS_FILES)

DOCS_PATH	= docs

DOCS_FILES	= libxmp.html libxmp.3 libxmp.pdf

DOCS += $(addprefix $(DOCS_PATH)/,$(DOCS_FILES))

all-docs: $(DOCS)

$(DOCS): docs/Makefile

install-docs: $(DOCS)
	@echo "Installing manpages in $(DESTDIR)$(MANDIR)"
	@[ -d $(DESTDIR)$(MANDIR) ] || mkdir -p $(DESTDIR)$(MANDIR)
	@$(INSTALL_DATA) docs/libxmp.3 $(DESTDIR)$(MANDIR)

dist-docs:
	mkdir -p $(DIST)/$(DOCS_PATH)
	cp -RPp $(addprefix $(DOCS_PATH)/,$(DOCS_DFILES)) $(DIST)/$(DOCS_PATH)

docs/libxmp.3: docs/libxmp.man.rst
	rst2man docs/libxmp.man.rst > $@

docs/libxmp.man.rst: docs/libxmp.rst docs/manpage-header.rst docs/Makefile
	cp docs/manpage-header.rst $@
	sed -n '/^Introduction/,$$p' docs/libxmp.rst >> $@

docs/libxmp.html: docs/libxmp.rst
	rst2html docs/libxmp.rst > $@

docs/libxmp.pdf: docs/libxmp.rst docs/custom.style
	rst2pdf docs/libxmp.rst -c --smart-quotes=1 -s docs/custom.style --footer="###Page###" -o $@

=== src/Makefile ===

SRC_OBJS	= virtual.o format.o misc.o period.o player.o read_event.o \
		  dataio.o mkstemp.o fnmatch.o md5.o lfo.o envelope.o scan.o \
		  control.o med_extras.o filter.o fmopl.o effects.o mixer.o \
		  synth_null.o mix_all.o ym2149.o adlib.o spectrum.o \
		  load_helpers.o load.o hio.o hmn_extras.o extras.o smix.o

SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h envelope.h \
		  fmopl.h format.h lfo.h list.h mixer.h period.h player.h \
		  spectrum.h synth.h virtual.h ym2149.h fnmatch.h md5.h \
		  precomp_lut.h med_extras.h hio.h hmn_extras.h extras.h

SRC_PATH	= src

OBJS += $(addprefix $(SRC_PATH)/,$(SRC_OBJS))

default-src::
	$(MAKE) -C ..

dist-src::
	mkdir -p $(DIST)/$(SRC_PATH)
	cp -RPp $(addprefix $(SRC_PATH)/,$(SRC_DFILES)) $(DIST)/$(SRC_PATH)

=== test/Makefile ===

TEST_OBJS	= test.o
TEST_DFILES	= Makefile $(TEST_OBJS:.o=.c) test.itz test.raw
TEST_PATH	= test

T_OBJS = $(addprefix $(TEST_PATH)/,$(TEST_OBJS))

default:
	$(MAKE) -C .. check

dist-test:
	mkdir -p $(DIST)/$(TEST_PATH)
	cp -RPp $(addprefix $(TEST_PATH)/,$(TEST_DFILES)) $(DIST)/$(TEST_PATH)

check: $(TEST_PATH)/libxmp-test
	cd $(TEST_PATH); LD_LIBRARY_PATH=../lib DYLD_LIBRARY_PATH=../lib LIBRARY_PATH=../lib:$$LIBRARY_PATH PATH=$$PATH:../lib ./libxmp-test

$(TEST_PATH)/libxmp-test: $(T_OBJS)
	@CMD='$(LD) -o $@ $(T_OBJS) $(LIBS) -Llib -lxmp'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

=== src/depackers/Makefile ===

DEPACKERS_OBJS	= ppdepack.o unsqsh.o mmcmp.o readrle.o readhuff.o readlzw.o \
		  unarc.o arcfs.o xfd.o inflate.o muse.o unlzx.o s404_dec.o \
		  unzip.o gunzip.o uncompress.o unxz.o bunzip2.o unlha.o \
		  xz_dec_lzma2.o xz_dec_stream.o oxm.o vorbis.o crc32.o

DEPACKERS_DFILES = Makefile $(DEPACKERS_OBJS:.o=.c) readhuff.h readlzw.h \
		  readrle.h inflate.h xz_lzma2.h README.unxz xz.h \
		  xz_private.h xz_stream.h xz_config.h vorbis.h crc32.h

DEPACKERS_PATH	= src/depackers

OBJS += $(addprefix $(DEPACKERS_PATH)/,$(DEPACKERS_OBJS))

default-depackers::
	$(MAKE) -C ..

dist-depackers::
	mkdir -p $(DIST)/$(DEPACKERS_PATH)
	cp -RPp $(addprefix $(DEPACKERS_PATH)/,$(DEPACKERS_DFILES)) $(DIST)/$(DEPACKERS_PATH)

=== src/loaders/Makefile ===

LOADERS	= xm_load.o mod_load.o s3m_load.o stm_load.o 669_load.o far_load.o \
	  mtm_load.o ptm_load.o okt_load.o amd_load.o rad_load.o \
	  ult_load.o mdl_load.o it_load.o stx_load.o pt3_load.o sfx_load.o \
	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
	  psm_load.o stim_load.o mmd_common.o mmd1_load.o mmd3_load.o \
	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
	  arch_load.o sym_load.o dtt_load.o mgt_load.o med2_load.o med3_load.o \
	  med4_load.o ssmt_load.o dbm_load.o umx_load.o gdm_load.o \
	  coco_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o \
	  polly_load.o stc_load.o asylum_load.o hmn_load.o

LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) ftm_load.c \
		  asif.h iff.h it.h loader.h med.h mod.h s3m.h xm.h
LOADERS_PATH	= src/loaders

OBJS += $(addprefix $(LOADERS_PATH)/,$(LOADERS_OBJS))

default:

dist-loaders::
	mkdir -p $(DIST)/$(LOADERS_PATH)
	cp -RPp $(addprefix $(LOADERS_PATH)/,$(LOADERS_DFILES)) $(DIST)/$(LOADERS_PATH)

=== debian/changelog ===
libxmp (4.2.0+dfsg-3) unstable; urgency=low

  * Drop the lha suggestion, lha decompression is built in.
  * Forcibly update config.guess and config.sub at build time (this
    allows building on aarch64).

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Dec 2013 20:36:43 +0100

libxmp (4.2.0+dfsg-2) unstable; urgency=low

  * Install the provided documentation.
  * Recommend unmo3 and suggest lha here, since it's the library which
    uses them.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Dec 2013 19:13:48 +0100

libxmp (4.2.0+dfsg-1) unstable; urgency=low

  * Initial release (closes: #717879).

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Nov 2013 00:39:14 +0100

=== debian/control ===
Source: libxmp
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-autoreconf
Homepage: http://xmp.sourceforge.net/

Package: libxmp4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: unmo3
Description: module file rendering library
 libxmp is a library designed to interpret module files and produce
 PCM audio. It supports over 90 formats including Protracker (MOD),
 Scream Tracker 3 (S3M), Fast Tracker II (XM) and Impulse Tracker
 (IT).

Package: libxmp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libxmp4 (= ${binary:Version})
Description: module file rendering library -- development files
 libxmp is a library designed to interpret module files and produce
 PCM audio. It supports over 90 formats including Protracker (MOD),
 Scream Tracker 3 (S3M), Fast Tracker II (XM) and Impulse Tracker
 (IT).
 .
 This package contains the development files required to build with
 libxmp.

## libxmp 4.2.3

=== docs/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 DOCS_DFILES	= Makefile COPYING.LIB CREDITS Changelog tracker_notes.txt \
-		  formats.txt adlib_sb.txt ay-3-8912.txt fixloop.txt \
+		  formats.txt adlib_sb.txt fixloop.txt \
 		  libxmp.rst custom.style $(DOCS_FILES)
 
 DOCS_PATH	= docs

=== include/Makefile ===

INCLUDE_DFILES	= Makefile xmp.h

INCLUDE_PATH	= include

install-include:
	$(INSTALL_DATA) xmp.h $(DESTDIR)$(INCLUDEDIR)

dist-include:
	mkdir -p $(DIST)/$(INCLUDE_PATH)
	cp -RPp $(addprefix $(INCLUDE_PATH)/,$(INCLUDE_DFILES)) $(DIST)/$(INCLUDE_PATH)

=== src/Makefile ===

SRC_OBJS	= virtual.o format.o misc.o period.o player.o read_event.o \
		  dataio.o mkstemp.o fnmatch.o md5.o lfo.o envelope.o scan.o \
		  control.o med_extras.o filter.o fmopl.o effects.o mixer.o \
		  synth_null.o mix_all.o adlib.o load_helpers.o load.o hio.o \
		  hmn_extras.o extras.o smix.o

SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h envelope.h \
		  fmopl.h format.h lfo.h list.h mixer.h period.h player.h \
		  synth.h virtual.h fnmatch.h md5.h precomp_lut.h \
		  med_extras.h hio.h hmn_extras.h extras.h

SRC_PATH	= src

OBJS += $(addprefix $(SRC_PATH)/,$(SRC_OBJS))

default-src::
	$(MAKE) -C ..

dist-src::
	mkdir -p $(DIST)/$(SRC_PATH)
	cp -RPp $(addprefix $(SRC_PATH)/,$(SRC_DFILES)) $(DIST)/$(SRC_PATH)

=== vc/Makefile ===

VC_DFILES	= Makefile libxmp.sln libxmp.vcproj
VC_PATH		= vc
VC_CLEAN	= libxmp.vcproj

W_OBJS		= $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))

default-vc:
	$(MAKE) -C .. vcproj

dist-vc: vcproj
	mkdir -p $(DIST)/$(VC_PATH)
	cp -RPp $(addprefix $(VC_PATH)/,$(VC_DFILES)) $(DIST)/$(VC_PATH)

vcproj: $(VC_PATH)/libxmp.vcproj

$(VC_PATH)/libxmp.vcproj: Makefile $(SRC_PATH)/Makefile $(LOADERS_PATH)/Makefile $(PROWIZ_PATH)/Makefile $(VC_PATH)/libxmp.vcproj.in
	@echo Generate $@
	@rm -f $@.tmp
	@for i in $(OBJS:.o=.c) $(W_OBJS:.o=.c); do \
	    echo -e "\t\t\t<File" >> $@.tmp; \
	    echo -e "\t\t\t\tRelativePath=\"../$$i\""|sed 's!/!\\!g' >> $@.tmp;\
	    echo -e "\t\t\t\t>" >> $@.tmp; \
	    echo -e "\t\t\t</File>" >> $@.tmp; \
	done
	@sed -e '/@SOURCES@/{r $@.tmp' -e 'd' -e '}' < $@.in > $@
	@rm -f $@.tmp
	@unix2dos $@

=== src/depackers/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-DEPACKERS_OBJS	= ppdepack.o unsqsh.o mmcmp.o readrle.o readhuff.o readlzw.o \
+DEPACKERS_OBJS	= ppdepack.o unsqsh.o mmcmp.o readrle.o readlzw.o \
 		  unarc.o arcfs.o xfd.o inflate.o muse.o unlzx.o s404_dec.o \
 		  unzip.o gunzip.o uncompress.o unxz.o bunzip2.o unlha.o \
 		  xz_dec_lzma2.o xz_dec_stream.o oxm.o vorbis.o crc32.o

=== src/loaders/Makefile ===
--- 
+++ 
@@ -6,10 +6,9 @@
 	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
 	  psm_load.o stim_load.o mmd_common.o mmd1_load.o mmd3_load.o \
 	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
-	  arch_load.o sym_load.o dtt_load.o mgt_load.o med2_load.o med3_load.o \
-	  med4_load.o ssmt_load.o dbm_load.o umx_load.o gdm_load.o \
-	  coco_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o \
-	  polly_load.o stc_load.o asylum_load.o hmn_load.o
+	  arch_load.o sym_load.o dtt_load.o med2_load.o med3_load.o \
+	  med4_load.o dbm_load.o umx_load.o gdm_load.o pw_load.o gal5_load.o \
+	  gal4_load.o mfp_load.o asylum_load.o hmn_load.o mgt_load.o
 
 LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
 LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) ftm_load.c \

=== src/win32/Makefile ===

WIN32_OBJS	= ptpopen.o debug.o usleep.o
WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h ptpopen.h \
		  osdcomm.h sys
WIN32_PATH	= src/win32

ifeq ($(PLATFORM_DIR),win32)
OBJS += $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))
CLEAN += $(addprefix $(WIN32_PATH)/,$(WIN32_CLEAN))
endif

dist-win32:
	mkdir -p $(DIST)/$(WIN32_PATH)
	cp -RPp $(addprefix $(WIN32_PATH)/,$(WIN32_DFILES)) $(DIST)/$(WIN32_PATH)

W_OBJS		= $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))

=== src/loaders/prowizard/Makefile ===

PROWIZ_OBJS	= prowiz.o ptktable.o tuning.o ac1d.o di.o eureka.o \
		  fc-m.o fuchs.o fuzzac.o gmc.o heatseek.o kris.o ksm.o \
		  mp.o np1.o np2.o np3.o p61a.o pm10c.o pm18a.o \
		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
		  tp3.o p40.o xann.o theplayer.o pp21.o starpack.o titanics.o \
		  skyt.o novotrade.o hrt.o noiserun.o
PROWIZ_OBJS2	= pm.o pm01.o \
		  pm20.o pm40.o pp10.o pp30.o tp1.o tp2.o
PROWIZ_DFILES	= Makefile $(PROWIZ_OBJS:.o=.c) $(PROWIZ_OBJS2:.o=.c) prowiz.h
PROWIZ_PATH	= src/loaders/prowizard

OBJS += $(addprefix $(PROWIZ_PATH)/, $(PROWIZ_OBJS))

dist-prowiz::
	mkdir -p $(DIST)/$(PROWIZ_PATH)
	cp -RPp $(addprefix $(PROWIZ_PATH)/,$(PROWIZ_DFILES)) $(DIST)/$(PROWIZ_PATH)

=== debian/changelog ===
libxmp (4.2.3-1) unstable; urgency=medium

  * New upstream release.
  * A number of files have been relicensed under the MIT license, update
    debian/copyright accordingly.
  * Drop README.source which is no longer relevant.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Jan 2014 07:04:46 +0100

libxmp (4.2.2-1) unstable; urgency=medium

  * New upstream release, with LGPL-licensed LZX decompressor:
    - update debian/copyright;
    - drop remove-unlzx.patch, no longer relevant;
    - drop fix-big-endian-test-validation.patch, merged upstream.
  * Stop installing ay-3-8912.txt, no longer provided.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jan 2014 11:23:46 +0100

libxmp (4.2.1+dfsg-2) unstable; urgency=medium

  * The "Happy New Year" bug fix: apply patch from upstream to fix test
    validation on big-endian architectures (closes: #733766).

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Jan 2014 10:38:16 +0100

libxmp (4.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh remove-unlzx.patch.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Dec 2013 23:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Homepage: http://xmp.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libxmp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libxmp.git
 
 Package: libxmp4
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_build:
	make V=1

autoreconf:
	autoreconf -f -i
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub ./

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

## libxmp 4.2.8

=== debian/changelog ===
libxmp (4.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 04 Aug 2014 23:37:58 +0200

libxmp (4.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 15 Apr 2014 00:10:23 +0200

libxmp (4.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2014 23:14:53 +0100

libxmp (4.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 27 Feb 2014 00:33:13 +0100

## libxmp 4.3.0

=== src/Makefile ===

SRC_OBJS	= virtual.o format.o period.o player.o read_event.o \
		  dataio.o mkstemp.o fnmatch.o md5.o lfo.o envelope.o scan.o \
		  control.o med_extras.o filter.o fmopl.o effects.o mixer.o \
		  synth_null.o mix_all.o adlib.o load_helpers.o load.o hio.o \
		  hmn_extras.o extras.o smix.o memio.o

SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h envelope.h \
		  fmopl.h format.h lfo.h list.h mixer.h period.h player.h \
		  synth.h virtual.h fnmatch.h md5.h precomp_lut.h \
		  med_extras.h hio.h hmn_extras.h extras.h memio.h mdataio.h

SRC_PATH	= src

OBJS += $(addprefix $(SRC_PATH)/,$(SRC_OBJS))

default-src::
	$(MAKE) -C ..

dist-src::
	mkdir -p $(DIST)/$(SRC_PATH)
	cp -RPp $(addprefix $(SRC_PATH)/,$(SRC_DFILES)) $(DIST)/$(SRC_PATH)

=== debian/changelog ===
libxmp (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Clean up debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Sep 2014 23:35:57 +0200

## libxmp 4.3.9

=== debian/changelog ===
libxmp (4.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Jun 2015 23:41:52 +0200

libxmp (4.3.8-2) unstable; urgency=medium

  * Distinguish the BSD-3-clause variants in debian/copyright.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 May 2015 21:54:58 +0200

libxmp (4.3.8-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 Apr 2015 16:45:04 +0200

libxmp (4.3.7-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Apr 2015 23:10:41 +0200

libxmp (4.3.6-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Mar 2015 23:44:04 +0100

libxmp (4.3.5-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 Feb 2015 21:33:03 +0100

libxmp (4.3.4-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Jan 2015 00:29:27 +0100

libxmp (4.3.3-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Jan 2015 20:40:15 +0100

libxmp (4.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Dec 2014 23:48:16 +0100

libxmp (4.3.1-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2014 12:45:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/libxmp.git

## libxmp 4.3.11

=== src/Makefile ===
--- 
+++ 
@@ -3,12 +3,13 @@
 		  dataio.o mkstemp.o fnmatch.o md5.o lfo.o envelope.o scan.o \
 		  control.o med_extras.o filter.o fmopl.o effects.o mixer.o \
 		  synth_null.o mix_all.o adlib.o load_helpers.o load.o hio.o \
-		  hmn_extras.o extras.o smix.o memio.o
+		  hmn_extras.o extras.o smix.o memio.o tempfile.o
 
 SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h envelope.h \
 		  fmopl.h format.h lfo.h list.h mixer.h period.h player.h \
-		  synth.h virtual.h fnmatch.h md5.h precomp_lut.h \
-		  med_extras.h hio.h hmn_extras.h extras.h memio.h mdataio.h
+		  synth.h virtual.h fnmatch.h md5.h precomp_lut.h tempfile.h \
+		  med_extras.h hio.h hmn_extras.h extras.h memio.h mdataio.h \
+		  depacker.h
 
 SRC_PATH	= src

=== src/loaders/Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
 	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
 	  psm_load.o stim_load.o mmd_common.o mmd1_load.o mmd3_load.o \
-	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
-	  arch_load.o sym_load.o dtt_load.o med2_load.o med3_load.o \
-	  med4_load.o dbm_load.o umx_load.o gdm_load.o pw_load.o gal5_load.o \
-	  gal4_load.o mfp_load.o asylum_load.o hmn_load.o mgt_load.o
+	  rtm_load.o dt_load.o no_load.o arch_load.o sym_load.o med2_load.o \
+	  med3_load.o med4_load.o dbm_load.o umx_load.o gdm_load.o pw_load.o \
+	  gal5_load.o gal4_load.o mfp_load.o asylum_load.o hmn_load.o \
+	  mgt_load.o chip_load.o abk_load.o
 
 LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
-LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) ftm_load.c \
+LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) \
 		  asif.h iff.h it.h loader.h med.h mod.h s3m.h xm.h
 LOADERS_PATH	= src/loaders

=== src/win32/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-WIN32_OBJS	= ptpopen.o debug.o usleep.o
+WIN32_OBJS	= ptpopen.o debug.o
 WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h ptpopen.h \
 		  osdcomm.h sys
 WIN32_PATH	= src/win32

=== src/loaders/prowizard/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PROWIZ_OBJS	= prowiz.o ptktable.o tuning.o ac1d.o di.o eureka.o \
-		  fc-m.o fuchs.o fuzzac.o gmc.o heatseek.o kris.o ksm.o \
+		  fc-m.o fuchs.o fuzzac.o gmc.o heatseek.o ksm.o \
 		  mp.o np1.o np2.o np3.o p61a.o pm10c.o pm18a.o \
 		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
 		  tp3.o p40.o xann.o theplayer.o pp21.o starpack.o titanics.o \

=== src/win32/sys/Makefile ===

TOPDIR	= ../../..
OBJS	=
DFILES	= Makefile time.h
DDIRS	=
CFILES	=
DCFILES	=

all:

include $(TOPDIR)/Makefile.rules

=== debian/changelog ===
libxmp (4.3.11-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Enable full hardening.
  * Standards-Version 3.9.7, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Feb 2016 12:34:02 +0100

libxmp (4.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2016 20:33:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Homepage: http://xmp.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/libxmp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libxmp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libxmp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libxmp.git
 
 Package: libxmp4
 Architecture: any

## libxmp 4.3.13

=== debian/changelog ===
libxmp (4.3.13-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 20:43:41 +0200

libxmp (4.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 13:12:24 +0100

## libxmp 4.4.0

=== debian/changelog ===
libxmp (4.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jul 2016 11:23:16 +0200

## libxmp 4.4.1

=== docs/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 
-DOCS_DFILES	= Makefile COPYING.LIB CREDITS Changelog tracker_notes.txt \
-		  formats.txt adlib_sb.txt fixloop.txt \
-		  libxmp.rst custom.style $(DOCS_FILES)
+DOCS_DFILES	= Makefile COPYING.LIB CREDITS Changelog formats.txt \
+		  fixloop.txt libxmp.rst custom.style $(DOCS_FILES)
 
 DOCS_PATH	= docs

=== src/Makefile ===

SRC_OBJS	= virtual.o format.o period.o player.o read_event.o dataio.o \
		  mkstemp.o fnmatch.o md5.o lfo.o scan.o control.o \
		  med_extras.o filter.o effects.o mixer.o mix_all.o \
		  load_helpers.o load.o hio.o hmn_extras.o extras.o smix.o \
		  memio.o tempfile.o mix_paula.o

SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h \
		  format.h lfo.h list.h mixer.h period.h player.h virtual.h \
		  fnmatch.h md5.h precomp_lut.h tempfile.h med_extras.h hio.h \
		  hmn_extras.h extras.h memio.h mdataio.h depacker.h paula.h \
		  precomp_blep.h

SRC_PATH	= src

OBJS += $(addprefix $(SRC_PATH)/,$(SRC_OBJS))

default-src::
	$(MAKE) -C ..

dist-src::
	mkdir -p $(DIST)/$(SRC_PATH)
	cp -RPp $(addprefix $(SRC_PATH)/,$(SRC_DFILES)) $(DIST)/$(SRC_PATH)

=== test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-TEST_OBJS	= test.o
-TEST_DFILES	= Makefile $(TEST_OBJS:.o=.c) test.itz test.raw
+TEST_OBJS	= test.o md5.o
+TEST_DFILES	= Makefile $(TEST_OBJS:.o=.c) test.itz md5.h
 TEST_PATH	= test
 
 T_OBJS = $(addprefix $(TEST_PATH)/,$(TEST_OBJS))

=== src/loaders/Makefile ===

LOADERS	= xm_load.o mod_load.o s3m_load.o stm_load.o 669_load.o far_load.o \
	  mtm_load.o ptm_load.o okt_load.o ult_load.o mdl_load.o it_load.o \
	  stx_load.o pt3_load.o sfx_load.o flt_load.o st_load.o emod_load.o \
	  imf_load.o digi_load.o fnk_load.o ice_load.o liq_load.o ims_load.o \
	  masi_load.o amf_load.o psm_load.o stim_load.o mmd_common.o \
	  mmd1_load.o mmd3_load.o rtm_load.o dt_load.o no_load.o arch_load.o \
	  sym_load.o med2_load.o med3_load.o med4_load.o dbm_load.o umx_load.o \
	  gdm_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o asylum_load.o \
	  hmn_load.o mgt_load.o chip_load.o abk_load.o

LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) \
		  asif.h iff.h it.h loader.h med.h mod.h s3m.h xm.h
LOADERS_PATH	= src/loaders

OBJS += $(addprefix $(LOADERS_PATH)/,$(LOADERS_OBJS))

default:

dist-loaders::
	mkdir -p $(DIST)/$(LOADERS_PATH)
	cp -RPp $(addprefix $(LOADERS_PATH)/,$(LOADERS_DFILES)) $(DIST)/$(LOADERS_PATH)

=== src/loaders/prowizard/Makefile ===
--- 
+++ 
@@ -3,10 +3,9 @@
 		  fc-m.o fuchs.o fuzzac.o gmc.o heatseek.o ksm.o \
 		  mp.o np1.o np2.o np3.o p61a.o pm10c.o pm18a.o \
 		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
-		  tp3.o p40.o xann.o theplayer.o pp21.o starpack.o titanics.o \
-		  skyt.o novotrade.o hrt.o noiserun.o
-PROWIZ_OBJS2	= pm.o pm01.o \
-		  pm20.o pm40.o pp10.o pp30.o tp1.o tp2.o
+		  tp1.o tp3.o p40.o xann.o theplayer.o pp10.o pp21.o \
+		  starpack.o titanics.o skyt.o novotrade.o hrt.o noiserun.o
+PROWIZ_OBJS2	= pm.o pm01.o pm20.o pm40.o pp30.o
 PROWIZ_DFILES	= Makefile $(PROWIZ_OBJS:.o=.c) $(PROWIZ_OBJS2:.o=.c) prowiz.h
 PROWIZ_PATH	= src/loaders/prowizard

=== debian/changelog ===
libxmp (4.4.1-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Fix the spelling of “sucessful”, as flagged by Lintian.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 May 2018 13:17:29 +0200

libxmp (4.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 16 Oct 2016 23:59:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11~)
 Homepage: http://xmp.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libxmp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libxmp.git
+Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
+Vcs-Browser: https://salsa.debian.org/mod-player-team/libxmp
 
 Package: libxmp4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_build:
 	make V=1

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg$// \
  http://sf.net/xmp/libxmp-([\d\.]+)\.tar\.gz

## libxmp 4.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	sed -n '/^Introduction/,$$p' docs/libxmp.rst >> $@
 
 docs/libxmp.html: docs/libxmp.rst
-	rst2html docs/libxmp.rst > $@
+	rst2html docs/libxmp.rst --stylesheet docs/style.css > $@
 
 docs/libxmp.pdf: docs/libxmp.rst docs/custom.style
 	rst2pdf docs/libxmp.rst -c --smart-quotes=1 -s docs/custom.style --footer="###Page###" -o $@

=== src/Makefile ===

SRC_OBJS	= virtual.o format.o period.o player.o read_event.o dataio.o \
		  misc.o mkstemp.o md5.o lfo.o scan.o control.o \
		  med_extras.o filter.o effects.o mixer.o mix_all.o \
		  load_helpers.o load.o hio.o hmn_extras.o extras.o smix.o \
		  memio.o tempfile.o mix_paula.o win32.o

SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h \
		  format.h lfo.h list.h mixer.h period.h player.h virtual.h \
		  md5.h precomp_lut.h tempfile.h med_extras.h hio.h \
		  hmn_extras.h extras.h callbackio.h memio.h mdataio.h \
		  paula.h precomp_blep.h

SRC_PATH	= src

OBJS += $(addprefix $(SRC_PATH)/,$(SRC_OBJS))

default-src::
	$(MAKE) -C ..

dist-src::
	mkdir -p $(DIST)/$(SRC_PATH)
	cp -RPp $(addprefix $(SRC_PATH)/,$(SRC_DFILES)) $(DIST)/$(SRC_PATH)

=== test/Makefile ===

TEST_OBJS	= test.o
TEST_DFILES	= Makefile $(TEST_OBJS:.o=.c) test.it test.itz
TEST_PATH	= test

MAIN_OBJS	= md5.o
MAIN_PATH	= src

T_OBJS = $(addprefix $(TEST_PATH)/,$(TEST_OBJS))
T_OBJS += $(addprefix $(MAIN_PATH)/,$(MAIN_OBJS))

default:
	$(MAKE) -C .. check

dist-test:
	mkdir -p $(DIST)/$(TEST_PATH)
	cp -RPp $(addprefix $(TEST_PATH)/,$(TEST_DFILES)) $(DIST)/$(TEST_PATH)

check: $(TEST_PATH)/libxmp-test
	cd $(TEST_PATH); LD_LIBRARY_PATH=../lib DYLD_LIBRARY_PATH=../lib LIBRARY_PATH=../lib:$$LIBRARY_PATH PATH=$$PATH:../lib ./libxmp-test

$(TEST_PATH)/libxmp-test: $(T_OBJS)
	@CMD='$(LD) $(LDFLAGS) -o $@ $(T_OBJS) $(LIBS) -Llib -lxmp'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

=== src/depackers/Makefile ===

DEPACKERS_OBJS	= depacker.o ppdepack.o unsqsh.o mmcmp.o readrle.o readlzw.o \
		  unarc.o arcfs.o xfd.o inflate.o muse.o unlzx.o s404_dec.o \
		  unzip.o gunzip.o uncompress.o unxz.o bunzip2.o unlha.o \
		  xz_dec_lzma2.o xz_dec_stream.o oxm.o vorbis.o crc32.o \
		  xfd_link.o xfnmatch.o

DEPACKERS_DFILES = Makefile $(DEPACKERS_OBJS:.o=.c) depacker.h readhuff.h readlzw.h \
		  readrle.h inflate.h xz_lzma2.h README.unxz xz.h \
		  xz_private.h xz_stream.h xz_config.h vorbis.h crc32.h xfnmatch.h

DEPACKERS_PATH	= src/depackers

DEPACKER_OBJS	= $(addprefix $(DEPACKERS_PATH)/,$(DEPACKERS_OBJS))

default-depackers::
	$(MAKE) -C ..

dist-depackers::
	mkdir -p $(DIST)/$(DEPACKERS_PATH)
	cp -RPp $(addprefix $(DEPACKERS_PATH)/,$(DEPACKERS_DFILES)) $(DIST)/$(DEPACKERS_PATH)

=== src/loaders/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	  mmd1_load.o mmd3_load.o rtm_load.o dt_load.o no_load.o arch_load.o \
 	  sym_load.o med2_load.o med3_load.o med4_load.o dbm_load.o umx_load.o \
 	  gdm_load.o pw_load.o gal5_load.o gal4_load.o mfp_load.o asylum_load.o \
-	  hmn_load.o mgt_load.o chip_load.o abk_load.o
+	  hmn_load.o mgt_load.o chip_load.o abk_load.o coco_load.o
 
 LOADERS_OBJS	= common.o iff.o itsex.o asif.o voltable.o sample.o $(LOADERS)
 LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) \

=== src/os2/Makefile ===
OS2_DFILES	= Makefile unistd.h
OS2_PATH	= src/os2

dist-os2:
	mkdir -p $(DIST)/$(OS2_PATH)
	cp -RPp $(addprefix $(OS2_PATH)/,$(OS2_DFILES)) $(DIST)/$(OS2_PATH)

=== src/win32/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 WIN32_OBJS	= ptpopen.o debug.o
 WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h ptpopen.h \
-		  osdcomm.h sys
+		  sys
 WIN32_PATH	= src/win32
 
 ifeq ($(PLATFORM_DIR),win32)

=== debian/changelog ===
libxmp (4.5.0-2) unstable; urgency=medium

  * Apply upstream patch to build with LTO. Closes: #1015531.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Aug 2022 13:38:32 +0200

libxmp (4.5.0-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 21:00:35 +0200

libxmp (4.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump debian/watch to version 4 and drop the version mangling which
    hasn’t been necessary for a long time.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 Jun 2021 09:37:41 +0200

libxmp (4.4.1-3) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Rewrite libxmp4.symbols using version symbols.
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2020 10:24:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13)
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
 Vcs-Browser: https://salsa.debian.org/mod-player-team/libxmp
+Rules-Requires-Root: no
 
 Package: libxmp4
 Architecture: any

## libxmp 4.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(libxmp VERSION 4.6.0 LANGUAGES C)

set(LIBXMP_DEFINES)
set(LIBXMP_DEFINES_PUBLIC)
set(LIBXMP_CFLAGS)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/libxmp-checks.cmake)
include(GNUInstallDirs)

# -fPIC thing
if(NOT WIN32 AND NOT EMSCRIPTEN AND NOT VITA)
    option(LIBXMP_PIC   "Build the static library as position-independent" OFF)
else()
    set(LIBXMP_PIC OFF)
endif()
# -----------------------------------

if(EMSCRIPTEN OR VITA OR PSP)
    set(BUILD_SHARED_DEFAULT OFF)
else()
    set(BUILD_SHARED_DEFAULT ON)
endif()

option(BUILD_STATIC   "Build libXMP static library" ON)
option(BUILD_SHARED   "Build libXMP shared library" ${BUILD_SHARED_DEFAULT})
if(NOT BUILD_STATIC AND NOT BUILD_SHARED)
    message(FATAL_ERROR "Both static and shared builds got disabled. You must enable at least one of them.")
endif()

option(LIBXMP_DISABLE_DEPACKERS     "Disable archive depackers" OFF)
option(LIBXMP_DISABLE_PROWIZARD     "Disable ProWizard format loaders" OFF)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/libxmp-sources.cmake)

if(LIBXMP_DISABLE_DEPACKERS)
    list(APPEND LIBXMP_DEFINES_PUBLIC -DLIBXMP_NO_DEPACKERS)
else()
    list(APPEND LIBXMP_SRC_LIST ${LIBXMP_SRC_LIST_DEPACKERS})
endif()

if(LIBXMP_DISABLE_PROWIZARD)
    list(APPEND LIBXMP_DEFINES_PUBLIC -DLIBXMP_NO_PROWIZARD)
else()
    list(APPEND LIBXMP_SRC_LIST ${LIBXMP_SRC_LIST_PROWIZARD})
endif()

if(MSVC)
    set(LIBXMP_MSVC_DEFINES -D_USE_MATH_DEFINES)
    list(APPEND LIBXMP_DEFINES ${LIBXMP_MSVC_DEFINES})
endif()


set(XMP_INSTALLS)

if(BUILD_STATIC)
    add_library(xmp_static STATIC ${LIBXMP_SRC_LIST})
    add_library(libxmp::xmp_static ALIAS xmp_static)
    list(APPEND XMP_INSTALLS xmp_static)
    set_target_properties(xmp_static PROPERTIES C_STANDARD 90)
    if(MSVC)
        set_target_properties(xmp_static PROPERTIES OUTPUT_NAME libxmp-static)
    else()
        set_target_properties(xmp_static PROPERTIES OUTPUT_NAME xmp)
    endif()

    target_compile_options(xmp_static PRIVATE ${LIBXMP_CFLAGS})
    target_compile_definitions(xmp_static PRIVATE ${LIBXMP_DEFINES})
    target_compile_definitions(xmp_static PUBLIC ${LIBXMP_DEFINES_PUBLIC} -DLIBXMP_STATIC)

    if(LIBXMP_PIC)
        target_compile_options(xmp_static PRIVATE -fPIC)
    endif()

    target_include_directories(xmp_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>")
    target_include_directories(xmp_static PUBLIC "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")

    if(LIBM_REQUIRED)
        target_link_libraries(xmp_static PUBLIC ${LIBM_LIBRARY})
    endif()
endif()

if(BUILD_SHARED)
    add_library(xmp_shared SHARED ${LIBXMP_SRC_LIST})
    add_library(libxmp::xmp_shared ALIAS xmp_shared)
    list(APPEND XMP_INSTALLS xmp_shared)
    set_target_properties(xmp_shared PROPERTIES C_STANDARD 90)
    if(MSVC)
        set_target_properties(xmp_shared PROPERTIES OUTPUT_NAME libxmp)
    else()
        set_target_properties(xmp_shared PROPERTIES OUTPUT_NAME xmp)
    endif()

    if(HAVE_GCC OR HAVE_CLANG)
        if(APPLE)
            set_property(TARGET xmp_shared APPEND_STRING PROPERTY
                         LINK_FLAGS " -Wl,-undefined,error")
        elseif(NOT CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
            cmake_push_check_state()
            set(CMAKE_REQUIRED_FLAGS "-Wl,--no-undefined")
            check_c_compiler_flag("" HAVE_NO_UNDEFINED)
            cmake_pop_check_state()
            if(HAVE_NO_UNDEFINED)
                set_property(TARGET xmp_shared APPEND_STRING PROPERTY
                             LINK_FLAGS " -Wl,--no-undefined")
            endif()
        endif()
    endif()

    if(HAVE_VISIBILITY AND HAVE_GNU_LD AND UNIX)
        target_compile_definitions(xmp_shared PRIVATE -DUSE_VERSIONED_SYMBOLS=1)
        set_property(TARGET xmp_shared APPEND_STRING PROPERTY
                     LINK_FLAGS " -Wl,--version-script,${CMAKE_CURRENT_SOURCE_DIR}/libxmp.map")
        message(STATUS "Versioned symbols: ENABLED.")
    else()
        message(STATUS "Versioned symbols: DISABLED")
    endif()

    target_compile_definitions(xmp_shared PRIVATE ${LIBXMP_DEFINES})
    if(WIN32)
        target_compile_definitions(xmp_shared PRIVATE -DBUILDING_DLL)
    endif()

    target_compile_options(xmp_shared PRIVATE ${LIBXMP_CFLAGS})
    target_compile_definitions(xmp_shared PUBLIC ${LIBXMP_DEFINES_PUBLIC})

    target_include_directories(xmp_shared PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>")
    target_include_directories(xmp_shared PUBLIC "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")

    set_target_properties(xmp_shared PROPERTIES VERSION ${libxmp_VERSION} SOVERSION ${libxmp_VERSION_MAJOR})

    if(ANDROID AND CMAKE_BUILD_TYPE_LOWER STREQUAL "debug")
        target_link_libraries(xmp_shared PRIVATE log)
    endif()
    if(LIBM_REQUIRED)
        target_link_libraries(xmp_shared PUBLIC ${LIBM_LIBRARY})
    endif()
endif()


add_library(XMP_IF INTERFACE)

if(NOT BUILD_SHARED)
    target_link_libraries(XMP_IF INTERFACE xmp_static)
else()
    target_link_libraries(XMP_IF INTERFACE xmp_shared)
endif()

# === Unit tests ====
option(WITH_UNIT_TESTS "Enable unit testing" OFF)
if(WITH_UNIT_TESTS)
    enable_testing()
    add_subdirectory(test)
    if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/test-dev/")
        add_subdirectory(test-dev)
    endif()
endif()

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/examples/CMakeLists.txt")
    add_subdirectory(examples)
endif()


# === Documentation ====
add_subdirectory(docs)


# === Install ====

include(CMakePackageConfigHelpers)

if(WIN32)
    set(cmake_install_cmakdir "cmake")
else()
    set(cmake_install_cmakdir "${CMAKE_INSTALL_LIBDIR}/cmake/libxmp")
endif()

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "\${prefix}")
set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
set(libdir     "${CMAKE_INSTALL_FULL_LIBDIR}")
set(bindir     "${CMAKE_INSTALL_FULL_BINDIR}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libxmp.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/libxmp.pc" @ONLY
)
write_basic_package_version_file(libxmp-config-version.cmake
    COMPATIBILITY AnyNewerVersion
)
if(TARGET xmp_shared)
    install(TARGETS xmp_shared EXPORT libxmp_shared_exports
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
    install(EXPORT libxmp_shared_exports
        DESTINATION "${cmake_install_cmakdir}"
        FILE "libxmp-shared-targets.cmake"
        NAMESPACE "libxmp::"
    )
endif()
if(TARGET xmp_static)
    install(TARGETS xmp_static EXPORT libxmp_static_exports
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
    install(EXPORT libxmp_static_exports
        DESTINATION "${cmake_install_cmakdir}"
        FILE "libxmp-static-targets.cmake"
        NAMESPACE "libxmp::"
    )
endif()
install(FILES
        libxmp-config.cmake
        "${CMAKE_CURRENT_BINARY_DIR}/libxmp-config-version.cmake"
        DESTINATION "${cmake_install_cmakdir}"
)
install(FILES
        include/xmp.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libxmp.pc"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== cmake/Makefile ===

CMAKE_DFILES	= Makefile libxmp-checks.cmake libxmp-sources.cmake
CMAKE_PATH	= cmake

dist-cmake:
	mkdir -p $(DIST)/$(CMAKE_PATH)
	cp -RPp $(addprefix $(CMAKE_PATH)/,$(CMAKE_DFILES)) $(DIST)/$(CMAKE_PATH)

=== docs/Makefile ===

DOCS_DFILES	= Makefile CMakeLists.txt           \
		  COPYING.LIB CREDITS Changelog     \
		  formats.txt fixloop.txt           \
		  libxmp.rst manpage.rst pdfdoc.rst \
		  custom.style style.css $(DOCS_FILES)

DOCS_PATH	= docs

DOCS_FILES	= libxmp.html libxmp.3 libxmp.pdf

DOCS += $(addprefix $(DOCS_PATH)/,$(DOCS_FILES))

all-docs: $(DOCS)

$(DOCS): docs/Makefile

install-docs: $(DOCS)
	@echo "Installing manpages in $(DESTDIR)$(MANDIR)"
	@[ -d $(DESTDIR)$(MANDIR) ] || mkdir -p $(DESTDIR)$(MANDIR)
	@$(INSTALL_DATA) docs/libxmp.3 $(DESTDIR)$(MANDIR)

dist-docs:
	mkdir -p $(DIST)/$(DOCS_PATH)
	cp -RPp $(addprefix $(DOCS_PATH)/,$(DOCS_DFILES)) $(DIST)/$(DOCS_PATH)

docs/libxmp.3: docs/libxmp.rst docs/manpage.rst
	rst2man docs/manpage.rst > $@

docs/libxmp.html: docs/libxmp.rst docs/pdfdoc.rst docs/style.css
	rst2html docs/pdfdoc.rst --stylesheet docs/style.css > $@

docs/libxmp.pdf: docs/libxmp.rst docs/pdfdoc.rst docs/custom.style
	rst2pdf docs/pdfdoc.rst -c --smart-quotes=1 -s docs/custom.style --footer="###Page###" -o $@

=== m4/Makefile ===

M4_DFILES	= Makefile ld.m4
M4_PATH		= m4

dist-m4:
	mkdir -p $(DIST)/$(M4_PATH)
	cp -RPp $(addprefix $(M4_PATH)/,$(M4_DFILES)) $(DIST)/$(M4_PATH)

=== src/Makefile ===
--- 
+++ 
@@ -1,15 +1,15 @@
 
 SRC_OBJS	= virtual.o format.o period.o player.o read_event.o dataio.o \
-		  misc.o mkstemp.o md5.o lfo.o scan.o control.o \
+		  misc.o mkstemp.o md5.o lfo.o scan.o control.o far_extras.o \
 		  med_extras.o filter.o effects.o mixer.o mix_all.o \
 		  load_helpers.o load.o hio.o hmn_extras.o extras.o smix.o \
-		  memio.o tempfile.o mix_paula.o win32.o
+		  filetype.o memio.o tempfile.o mix_paula.o miniz_tinfl.o win32.o
 
 SRC_DFILES	= Makefile $(SRC_OBJS:.o=.c) common.h effects.h \
 		  format.h lfo.h list.h mixer.h period.h player.h virtual.h \
 		  md5.h precomp_lut.h tempfile.h med_extras.h hio.h \
 		  hmn_extras.h extras.h callbackio.h memio.h mdataio.h \
-		  paula.h precomp_blep.h
+		  far_extras.h paula.h precomp_blep.h miniz.h
 
 SRC_PATH	= src

=== test/CMakeLists.txt ===

if(POLICY CMP0079)
    cmake_policy(SET CMP0079 NEW)
endif()

include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${CMAKE_SOURCE_DIR}/src)

add_executable(libxmp-test test.c ../src/md5.c)
set_property(TARGET libxmp-test PROPERTY C_STANDARD 90)

if(MSVC)
    target_compile_definitions(libxmp-test PRIVATE ${LIBXMP_MSVC_DEFINES})
endif()

if(BUILD_SHARED) # Make sure test.exe will find its dll
    set_property(TARGET libxmp-test PROPERTY RUNTIME_OUTPUT_DIRECTORY ${libxmp_BINARY_DIR})
endif()

target_link_libraries(libxmp-test XMP_IF)

add_test(NAME libxmp-test COMMAND libxmp-test WORKING_DIRECTORY "${CMAKE_CURRENT_LIST_DIR}")

=== test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 TEST_OBJS	= test.o
-TEST_DFILES	= Makefile $(TEST_OBJS:.o=.c) test.it test.itz
+TEST_DFILES	= Makefile CMakeLists.txt $(TEST_OBJS:.o=.c) test.it test.itz
 TEST_PATH	= test
 
 MAIN_OBJS	= md5.o

=== debian/changelog ===
libxmp (4.6.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. Closes: #1079111.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Sep 2024 17:51:12 +0200

libxmp (4.6.0-3) unstable; urgency=medium

  * Stop recommending unmo3, it’s no longer available in Debian.
    Closes: #1079112.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 21 Aug 2024 13:24:30 +0200

libxmp (4.6.0-2) unstable; urgency=medium

  * Take multiarch into account in cmake configuration files.
    Closes: #1041151.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Jul 2023 10:36:20 +0200

libxmp (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 14:47:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13)
 Homepage: http://xmp.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/mod-player-team/libxmp.git
@@ -14,7 +14,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: unmo3
 Description: module file rendering library
  libxmp is a library designed to interpret module files and produce
  PCM audio. It supports over 90 formats including Protracker (MOD),
